VERSION 5.00
Begin VB.Form frmBlocksatz 
   Caption         =   "Form1"
   ClientHeight    =   8355
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   16830
   LinkTopic       =   "Form1"
   ScaleHeight     =   8355
   ScaleWidth      =   16830
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox Text1 
      Height          =   5655
      Left            =   840
      MultiLine       =   -1  'True
      TabIndex        =   7
      Text            =   "frmBlocksatz2.frx":0000
      Top             =   1800
      Width           =   5895
   End
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      Height          =   5655
      Left            =   7080
      ScaleHeight     =   5595
      ScaleWidth      =   9435
      TabIndex        =   6
      Top             =   1800
      Width           =   9495
   End
   Begin VB.CheckBox Check1 
      Caption         =   "Check1"
      Height          =   495
      Left            =   8880
      TabIndex        =   5
      Top             =   600
      Width           =   3975
   End
   Begin VB.ComboBox Combo2 
      Height          =   315
      Left            =   4680
      TabIndex        =   4
      Text            =   "Combo1"
      Top             =   600
      Width           =   3375
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   840
      TabIndex        =   3
      Text            =   "Combo1"
      Top             =   600
      Width           =   3375
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Command1"
      Height          =   375
      Left            =   5880
      TabIndex        =   2
      Top             =   7560
      Width           =   2175
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Command1"
      Height          =   375
      Left            =   3480
      TabIndex        =   1
      Top             =   7560
      Width           =   2175
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   375
      Left            =   960
      TabIndex        =   0
      Top             =   7560
      Width           =   2175
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   495
      Left            =   9000
      TabIndex        =   8
      Top             =   120
      Width           =   3735
   End
End
Attribute VB_Name = "frmBlocksatz"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Dieser Quellcode stammt von http://www.activevb.de
'und kann frei verwendet werden. Fr eventuelle Schden
'wird nicht gehaftet.

'Um Fehler oder Fragen zu klren, nutzen Sie bitte unser Forum.
'Ansonsten viel Spa und Erfolg mit diesem Source!

'---------- Anfang Projektdatei PrintBlockSatz.vbp ----------
'--- Anfang Formular "frmBlocksatz" alias frmBlocksatz.frm  ---
' Steuerelement: Schaltflche "Command3"
' Steuerelement: Kontrollkstchen-Steuerelement "Check1"
' Steuerelement: Kombinationsliste "Combo2"
' Steuerelement: Kombinationsliste "Combo1"
' Steuerelement: Schaltflche "Command2"
' Steuerelement: Schaltflche "Command1"
' Steuerelement: Textfeld "Text1"                        MultiLine = true
' Steuerelement: Bildfeld-Steuerelement "Picture1"       AutoRedraw = true
' Steuerelement: Beschriftungsfeld "Label1"

Option Explicit

Private BlockSatzFile As String

Private Sub Check1_Click()
    Text1.FontBold = Check1.Value * -1
End Sub

Private Sub Combo1_Click()
    Text1.FontName = Combo1.List(Combo1.ListIndex)
End Sub

Private Sub Combo2_Click()
    Text1.FontSize = Val(Combo2.List(Combo2.ListIndex))
End Sub

Private Sub Command1_Click()
    Dim FNr As Integer
    
    FNr = FreeFile
    Open BlockSatzFile For Output As #FNr
    Print #FNr, Text1.Text;
    Close #FNr
End Sub

Private Sub DoPrint(prnObj As Object)
    Dim s() As String
    Dim i As Long, j As Long
    Dim w As Single
    Dim x As Single
    Dim aTime As Single
    
    aTime = Timer
    
    'zur Messung auf  For j = 1 To 100
    For j = 1 To 1
        'Textbox auslesen in Array
        s() = TextboxLinesToArray(Text1)
        
        'bentigte Breite fr Blocksatz ermitteln
        w = BlockSatzWidth(prnObj, s(), Text1.FontName, Text1.FontSize, Text1.FontBold)
        
        x = prnObj.CurrentX
        For i = LBound(s) To UBound(s)
            BlocksatzZeilePrint prnObj, s(), i, x, w
        Next
   Next j
   
   Label1.Caption = Format(Timer - aTime, "0.00000")
End Sub

Private Sub Command2_Click()
    With Picture1
        .Cls
        .CurrentX = 600
        .CurrentY = 150
    End With
    
    DoPrint Picture1
End Sub

Private Sub Command3_Click()
    Printer.CurrentX = 1000
    Printer.CurrentY = 2000
    
    DoPrint Printer
    Printer.EndDoc
End Sub

Private Sub Form_Load()
    Dim FNr As Integer
    Dim s As String
    Dim i As Long
    
    BlockSatzFile = App.Path
    If Right(App.Path, 1) <> "\" Then BlockSatzFile = BlockSatzFile & "\"
    
    BlockSatzFile = BlockSatzFile & "blocksatz.txt"
    
    If Len(Dir(BlockSatzFile)) > 0 Then
        FNr = FreeFile
        Open BlockSatzFile For Binary As #FNr
            s = Space$(LOF(FNr))
            Get #FNr, , s
        Close #FNr
    End If
    
    Text1.Text = s
    
    Command1.Caption = "SaveFile"
    Command2.Caption = "Picturebox"
    Command3.Caption = "Printer"
    Label1.Caption = ""
    Check1.Caption = "Bold"
    
    For i = 0 To Printer.FontCount - 1
        Combo1.AddItem Printer.Fonts(i)
    Next i
    
    Combo1.ListIndex = 0
    For i = 0 To Combo1.ListCount - 1
        If LCase(Combo1.List(i)) = "arial" Then
            Combo1.ListIndex = i
            Exit For
        End If
    Next i
    
    Combo2.AddItem 8
    Combo2.AddItem 10
    Combo2.AddItem 12
    Combo2.AddItem 14
    Combo2.AddItem 16
    Combo2.AddItem 20
    Combo2.AddItem 24
    Combo2.ListIndex = 1
End Sub


'--- Ende Formular "frmBlocksatz" alias frmBlocksatz.frm  ---
'---- Anfang Modul "modBlockSatz" alias modBlockSatz.bas ----



